Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.ext.alert
Class TCPIPEXTAlertCodes

    java.lang.Object
      com.stc.connector.tcpip.ext.alert.TCPIPEXTAlertCodes

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.AlertCodeMap

    public class TCPIPEXTAlertCodes

extends java.lang.Object
implements com.stc.connector.management.jca.system.mbeans.AlertCodeMap

This class is used to hold the alert codes for TCP/IP eway.

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2005/09/03 06:34:01 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `TCPIP_CONNECT_CLOSED`
`static java.lang.String` | `TCPIP_CONNECT_ESTABLISHED`
`static java.lang.String` | `TCPIP_CONNECT_FAILED`
`static java.lang.String` | `TCPIP_EWAY_ERROR`
`static java.lang.String` | `TCPIP_EWAY_RUNNING`
`static java.lang.String` | `TCPIP_EWAY_STARTED`
`static java.lang.String` | `TCPIP_EWAY_STOPPED`
`static java.lang.String` | `TCPIP_EWAY_STOPPING`
`static java.lang.String` | `TCPIP_EWAY_SUSPENDED`
`static java.lang.String` | `TCPIP_EWAY_SUSPENDING`
`static java.lang.String` | `TCPIP_RECEIVE_FAILED`
`static java.lang.String` | `TCPIP_SEND_FAILED`
`static java.lang.String` | `version`

Constructor Summary
`TCPIPEXTAlertCodes()` Constructor

Method Summary
`java.lang.String` | `getMapping(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

### TCPIP_EWAY_STARTED

    public static final java.lang.String TCPIP_EWAY_STARTED

See Also:
  Constant Field Values

### TCPIP_EWAY_RUNNING

    public static final java.lang.String TCPIP_EWAY_RUNNING

See Also:
  Constant Field Values

### TCPIP_EWAY_STOPPING

    public static final java.lang.String TCPIP_EWAY_STOPPING

See Also:
  Constant Field Values

### TCPIP_EWAY_STOPPED

    public static final java.lang.String TCPIP_EWAY_STOPPED

See Also:
  Constant Field Values

### TCPIP_EWAY_SUSPENDING

    public static final java.lang.String TCPIP_EWAY_SUSPENDING

See Also:
  Constant Field Values

### TCPIP_EWAY_SUSPENDED

    public static final java.lang.String TCPIP_EWAY_SUSPENDED

See Also:
  Constant Field Values

### TCPIP_EWAY_ERROR

    public static final java.lang.String TCPIP_EWAY_ERROR

See Also:
  Constant Field Values

### TCPIP_CONNECT_FAILED

    public static final java.lang.String TCPIP_CONNECT_FAILED

See Also:
  Constant Field Values

### TCPIP_SEND_FAILED

    public static final java.lang.String TCPIP_SEND_FAILED

See Also:
  Constant Field Values

### TCPIP_RECEIVE_FAILED

    public static final java.lang.String TCPIP_RECEIVE_FAILED

See Also:
  Constant Field Values

### TCPIP_CONNECT_ESTABLISHED

    public static final java.lang.String TCPIP_CONNECT_ESTABLISHED

See Also:
  Constant Field Values

### TCPIP_CONNECT_CLOSED

    public static final java.lang.String TCPIP_CONNECT_CLOSED

See Also:
  Constant Field Values

Constructor Detail

### TCPIPEXTAlertCodes

    public TCPIPEXTAlertCodes()

  Constructor

Method Detail

### getMapping

    public java.lang.String getMapping(java.lang.String key)

  Specified by:
    `getMapping` in interface `com.stc.connector.management.jca.system.mbeans.AlertCodeMap`
  See Also:
    `AlertCodeMap.getMapping(String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD